function FileLastAccesDate(const Filename: string): TDateTime;
var
  fd: TWin32FindData;
  Handle: THandle;
  DosFileDate: Integer;
  LocalFileTime: TFileTime;
begin
  Result := 0;
  Handle := FindFirstFile(PChar(FileName), fd);
  if Handle <> INVALID_HANDLE_VALUE then
  begin
    Windows.FindClose(Handle);
    if (fd.dwFileAttributes and FILE_ATTRIBUTE_DIRECTORY) = 0 then
      if FileTimeToLocalFileTime(fd.ftLastAccessTime, LocalFileTime) then
        if FileTimeToDosDateTime(LocalFileTime, LongRec(DosFileDate).Hi,
                                                          LongRec(DosFileDate).Lo) then
          Result := FileDateToDateTime(DosFileDate);
  end;
end;

