procedure SaveForm(form : TForm; filename : string);
var
  fstream : TFileStream;
begin
  if form <> nil then begin
    fstream := TFileStream.Create(filename, fmCreate);
    try
      fstream.WriteComponent(form);
    finally
      fstream.Free;
    end;
  end;
end;


function LoadForm(filename : string) : TForm;
var
  fstream : TFileStream;
  cmpnt   : TComponent;
begin
  Result  := nil;
  fstream := TFileStream.Create(OpenDialog1.FileName, fmOpenRead);
  try
    cmpnt := fstream.ReadComponent(nil);   {read component from stream}
    if cmpnt <> nil then begin             {if successfully read, ... }
      if cmpnt is TForm then begin         {check that it is a form   }
        Result := cmpnt;                   {if so, return it          }
        Application.InsertComponent(Result); {and make App owner of it}
      end else                             {if not what was expected  }
        cmpnt.Free;                        {free it and return nil    }
    end;
  finally
    fstream.Free;
  end;
end;
