(**********************************************************************

  Demo for AllKeys

  shows all keys that are currently being held down
  plays a tone as long as Enter is being pressed

***********************************************************************)

uses
  crt, dos,
  allkeys;

var
  i : byte;

BEGIN
  clrscr;
  writeln ('AllKeys-Demo, Stop with ESC');
  allkeys.start;
  repeat
     { wait until key pressed or released }
     keychange := false;
     repeat until keychange;

     { show all keys currently being pressed }
     gotoxy (1,2);
     for i := 1 to $5F do if keydata1[i] then write (keyname1[i],' ');
     for i := 1 to $5F do if keydata2[i] then write (keyname2[i],' ');
     ClrEol;

     { play sound as long as Enter key is pressed }
     if keydata1[KeyCodeEnter] then sound (1000) else nosound;

  {  writeln; writeln (lastkey:4); }

  until lastkey = KeyCodeEsc;
  allkeys.stop;
  mem[$40:$17] := mem[$40:$17] and $F0;
END.

