procedure TileBackground(aForm: TForm; WithBmp: TBitmap);
var
   X, Y: integer;
   aRect, bRect: TRect;
   iWidth, iHeight: integer;

begin
   if not (WithBmp.Empty) then begin
      iWidth := WithBmp.Width;
      iHeight := WithBmp.Height;

      bRect.Left := 0;
      bRect.Top := 0;
      bRect.Right := iWidth;
      bRect.Bottom := iHeight;

      aRect.Left := 0;
      aRect.Top := 0;
      aRect.Right := iWidth;
      aRect.Bottom := iHeight;

      for X := 0 to (aForm.Width div iWidth) + 1 do
      begin
         for Y := 0 to (aForm.Height div iHeight) + 1 do
         begin
            aForm.Canvas.CopyRect(aRect, WithBmp.Canvas, bRect);
            aRect.Top := aRect.Bottom;
            aRect.Bottom := aRect.Bottom + iHeight;
         end;
         aRect.Left := aRect.Right;
         aRect.Right := aRect.Right + iWidth;
         aRect.Top := 0;
         aRect.Bottom := iHeight;
      end;
   end;
end;

