Add this to your project:

procedure TForm1.SetColumnImage(List: TListView; Column, Image: Integer; ShowImage: Boolean);
var
  Align,hHeader: integer;
  HD: HD_ITEM;

begin
  hHeader := SendMessage(List.Handle, LVM_GETHEADER, 0, 0);
  with HD do
  begin
      case List.Columns[Column].Alignment of
        taLeftJustify:  Align := HDF_LEFT;
        taCenter:       Align := HDF_CENTER;
        taRightJustify: Align := HDF_RIGHT;
      else
        Align := HDF_LEFT;
      end;

      mask := HDI_IMAGE or HDI_FORMAT;

      pszText := PChar(List.Columns[Column].Caption);

      if ShowImage then
        fmt := HDF_STRING or HDF_IMAGE or HDF_BITMAP_ON_RIGHT
      else
        fmt := HDF_STRING or Align;

      iImage := Image;
  end;

  SendMessage(hHeader, HDM_SETITEM, Column, Integer(@HD));
end;

Example:
  SetColumnImage( MyListView, 0, 0, True );

  * This line will put the first image from MyListView smallimages onto column[0] header.


Problem:  Resizing the column header causes a WM_PAINT which will erase the image,
Solution: Override WM_PAINT and call SetColumnImage again from there.
		  I used TApplicationEvents component from delphi 5.
		  If someone knows a better solution please let me know.

