procedure ClearSelections(LV: TCustomListView);
var
  Item: TListItem;
begin
  with LV do begin
    Item := LV.Selected;
    while Item <> nil do begin
      Item.Selected := False;
      Item.Focused := False;
      Item := GetNextItem(Item, sdAll, [isSelected]);
    end;
  end;
end;
