uses ShlObj;

Procedure FreePidl( pidl: PItemIDList );
  Var
    allocator: IMalloc;
  Begin
    If Succeeded(SHGetMalloc(allocator)) Then Begin
      allocator.Free(pidl);
    {$IFDEF VER90}
      allocator.Release;
    {$ENDIF}
    End;
  End;

procedure TForm1.Button2Click(Sender: TObject);
Var
  pidl: PItemIDList;
  buf: Array[0..MAX_PATH] of Char;
begin
  If Succeeded( ShGetSpecialFolderLocation( Handle, CSIDL_PROGRAMS, pidl ))
  Then Begin
    If ShGetPathfromIDList( pidl, buf ) Then
      ShowMessage( buf ); // buf has starmenu\programs  folder
    FreePIDL( pidl );
  End;
end;
