unit Unit1;

interface

uses
 Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
 ShlObj, ComObj, ActiveX, registry;

type
 TForm1 = class(TForm)
 procedure AddToStartMenu;
 private
   { Private declarations }
 public
   { Public declarations }
 end;

var
 Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AddToStartMenu;
var
 MyObject  : IUnknown;
 MySLink   : IShellLink;
 MyPFile   : IPersistFile;
 Directory : String;
 WFileName : WideString;
 MyReg     : TRegIniFile;
begin
 MyObject := CreateComObject(CLSID_ShellLink);
 MySLink := MyObject as IShellLink;
 MyPFile := MyObject as IPersistFile;

 with MySLink do begin
   SetArguments(PChar(application.exename));
   SetRelativePath(PChar(ExtractFilePath(application.exename)),0);
   SetHotKey(635); //Sets up Short cut key - Ctl-F12
   //Shortcut keys can also be defined with the $279 values, which is Ctl-F10, etc.
   SetWorkingDirectory(PChar(ExtractFilePath(application.exename)));
   SetDescription(PChar('Your Description'));
   SetIconLocation(PChar(application.exename),0);  //Sets Icon of your application to Start Menu
 end;
 MyReg := TRegIniFile.Create(
   'Software\MicroSoft\Windows\CurrentVersion\Explorer');

// Use the next line of code to put the shortcut on your desktop
 Directory := MyReg.ReadString('Shell Folders','Desktop','');

// Use the next three lines to put the shortcut on your start menu
 Directory := MyReg.ReadString('Shell Folders','Start Menu','')+
     '\Programs\YourProgram';
 CreateDir(Directory);

 WFileName := Directory+'\ColorMatic 2000.lnk';
 MyPFile.Save(PWChar(WFileName),False);
 MyReg.Free;

end;

end.

