function TextPos (var f:text) : longint; { returns -1 in case of an error }
var
  reg : registers;
begin
  reg.ah := $42;
  reg.al := 1;
  reg.bx := textrec(f).handle;
  reg.cx := 0;
  reg.dx := 0;
  intr ($21, Reg);
  if reg.flags and fcarry <> 0 then begin
     TextPos := -1;
     exit;
  end;
  TextPos := longint(reg.dx) shl 16 + reg.ax
           + textrec(f).bufpos - textrec(f).bufend;
end;


procedure TextSeek (var f:text; pos:longint; var ok:boolean);
var
  reg : registers;
begin
  ok := false;
  if pos < 0 then exit;

  reg.ah := $42;
  reg.al := 0;
  reg.bx := textrec(f).handle;
  reg.cx := pos div 65536;
  reg.dx := pos mod 65536;
  intr ($21, Reg);
  ok := reg.flags and fcarry = 0;
  if not ok then exit;
  textrec(f).bufend := 0;
  textrec(f).bufpos := 0;
end;
